Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.AO.Type

class petsc4py.PETSc.AO.Type

  Bases: `object`

  The application ordering types.

  Attributes Summary

  `ADVANCED` | Object `ADVANCED` of type `str`
  `BASIC` | Object `BASIC` of type `str`
  `MAPPING` | Object `MAPPING` of type `str`
  `MEMORYSCALABLE` | Object `MEMORYSCALABLE` of type `str`

  Attributes Documentation

  ADVANCED: str = ADVANCED

    Object `ADVANCED` of type `str`

  BASIC: str = BASIC

    Object `BASIC` of type `str`

  MAPPING: str = MAPPING

    Object `MAPPING` of type `str`

  MEMORYSCALABLE: str = MEMORYSCALABLE

    Object `MEMORYSCALABLE` of type `str`

  __init__()
  classmethod __new__(*args, **kwargs)